PHP 7

Marketplace Forums Themes Materialize PHP 7

Tagged: 

This topic contains 2 replies, has 2 voices, and was last updated by  anjaschneiderofficial@gmail.com 3 years, 4 months ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #4186

    Is there a chance that the Materialize Theme gets support for PHP 7.x in the future?

    #4187

    Serge
    Keymaster

    The Materialize Theme is compatible with PHP 7.x.
    Did you find any issue with Materialize and PHP 7.x?

    Have a nice day.

    #4188

    thanks for your reply. initially i checked the theme with a plugin called “PHP Compatibility Checker” that produced 1 warning:

    FILE: /www/htdocs/w006863b/anja/wp-content/themes/materialize/lib/mythemes.layouts.class.php
    ———————————————————————————————
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————
    46 | WARNING | Use of deprecated PHP4 style class constructor is not supported since PHP 7.
    ———————————————————————————————

    a shift from PHP 5.6 to PHP 7.1 crashed the whole site at the end and produced the following error message:

    Fatal error: Uncaught Error: Using $this when not in object context in /www/htdocs/w006863b/anja/wp-content/themes/materialize/functions.php:95 Stack trace: #0 /www/htdocs/w006863b/anja/wp-settings.php(425): include() #1 /www/htdocs/w006863b/anja/wp-config.php(92): require_once(‘/www/htdocs/w00…’) #2 /www/htdocs/w006863b/anja/wp-load.php(37): require_once(‘/www/htdocs/w00…’) #3 /www/htdocs/w006863b/anja/wp-blog-header.php(13): require_once(‘/www/htdocs/w00…’) #4 /www/htdocs/w006863b/anja/index.php(17): require(‘/www/htdocs/w00…’) #5 {main} thrown in /www/htdocs/w006863b/anja/wp-content/themes/materialize/functions.php on line 95

    in the meanwhile i found out: when selecting PHP 7.0 all works fine and fast as expected. so there may be a minor bug related to PHP version 7.1

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.

gremo@mailxu.com